commit c9b62f393705d44ef511bc179aba4a81ab8e9d78
Author: freddy77 <freddy77>
Date:   Fri Mar 6 14:32:05 2009 +0000

    fix kerberos login with no freetds.conf

diff --git a/ChangeLog b/ChangeLog
index a32947a..41b1652 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Mar  6 15:30:58 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/config.c: fix kerberos login with no freetds.conf
+
 Fri Mar  6 10:13:41 CET 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/putdata.c: just some comments
 
@@ -1378,4 +1381,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2742 2009/03/06 09:14:09 freddy77 Exp $
+$Id: ChangeLog,v 1.2743 2009/03/06 14:32:05 freddy77 Exp $
diff --git a/src/tds/config.c b/src/tds/config.c
index b361510..a7979ec 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.141 2009/01/16 20:27:58 jklowden Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.142 2009/03/06 14:32:12 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -1010,7 +1010,7 @@ tds_read_interfaces(const char *server, TDSCONNECTION * connection)
 
 	/*
 	 * If we still don't have the server and port then assume the user
-	 * typed an actual server name.
+	 * typed an actual server host name.
 	 */
 	if (!found) {
 		char ip_addr[255];
@@ -1048,8 +1048,10 @@ tds_read_interfaces(const char *server, TDSCONNECTION * connection)
 		 * lookup the host
 		 */
 		tds_lookup_host(server, ip_addr);
-		if (ip_addr[0])
+		if (ip_addr[0]) {
+			tds_dstr_copy(&connection->server_host_name, server);
 			tds_dstr_copy(&connection->ip_addr, ip_addr);
+		}
 		if (ip_port)
 			connection->port = ip_port;
 	}

